package com.itblogs.dao;

import java.util.List;

import com.itblogs.model.Product;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

public interface ProductDao {

	public Product find(Integer id);
	public Product findByName(String name);
	public Product findByStatus(Boolean status);
	public List<Product> list(String orderBy, Boolean isAse);
	public List<Product> list(Boolean status, String orderBy, Boolean isAse);
	public long count();
	public void save(Product product);     
	public void delete(Product product);
	public void deleteByID(Integer id);
	public void deleteByName(String name);
	public boolean contains(Integer id);
     
}
