package com.itblogs.dao.impl;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.itblogs.dao.*;
import com.itblogs.model.Address;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

@Repository("addressDao")
public class AddressDaoImpl extends GenericDao<Address> implements AddressDao {

	public Address find(Integer id) {
        return findByID(id);
	}
	
	public List<Address> list(String orderBy, Boolean isAse) {
		return listAll(orderBy, isAse);
	}
	
	public long count() {
		return countAll();
	}
	
	public void save(Address address) {
		saveOrUpdate(address);
	}
	
	public void delete(Address address) {
		deleteRecord(address);
	}
	
	public void deleteByID(Integer id) {
		deleteRecordByID(id);
	}
	
	public boolean contains(Integer id) {
		return containsRecord(id);
	}
     
}