package com.itblogs.dao.impl;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.criterion.Restrictions;
import org.springframework.stereotype.Repository;

import com.itblogs.dao.*;
import com.itblogs.model.Customer;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

@Repository("customerDao")
public class CustomerDaoImpl extends GenericDao<Customer> implements CustomerDao {

	public Customer find(Integer id) {
        return findByID(id);
	}
	
	public Customer findByName(String lastname, String firstname) {
		Criteria criteria = createEntityCriteria();
		if( (lastname!=null) || (firstname!=null) ) {
			if(lastname!=null) criteria.add(Restrictions.eq("lastname", lastname));
			if(firstname!=null) criteria.add(Restrictions.eq("firstname", firstname));
			Customer customer = (Customer)criteria.uniqueResult();
	        return customer;	
		} else {
			return null;
		}
	}
	
	public List<Customer> list(String orderBy, Boolean isAse) {
		return listAll(orderBy, isAse); 
	}
	
	public long count() {
		return countAll();
	}
	
	public void save(Customer customer) {
		saveOrUpdate(customer);
	}
	
	public void delete(Customer customer) {
		deleteRecord(customer);
	}
	
	public void deleteByID(Integer id) {
		deleteRecordByID(id);
	}
	
	public boolean contains(Integer id) {
		return containsRecord(id);
	}
     
}
