package com.itblogs.dao.impl;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.criterion.Restrictions;
import org.springframework.stereotype.Repository;

import com.itblogs.dao.*;
import com.itblogs.model.Shop;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

@Repository("shopDao")
public class ShopDaoImpl extends GenericDao<Shop> implements ShopDao {
	
	public Shop find(Integer id) {
        return findByID(id);
	}
	
	public Shop findByName(String name) {
		Criteria crit = createEntityCriteria();
        crit.add(Restrictions.eq("name", name));
        Shop shop = (Shop)crit.uniqueResult();
        return shop;
	}
	
	public List<Shop> list(String orderBy, Boolean isAse) {
		return listAll(orderBy, isAse);
	}
	
	public long count() {
		return countAll();
	}
	
	public void save(Shop shop) {
		saveOrUpdate(shop);
	}
	
	public void delete(Shop shop) {
		deleteRecord(shop);
	}
	
	public void deleteByID(Integer id) {
		deleteRecordByID(id);
	}
	
	public void deleteByName(String name) {
		Shop shop = findByName(name);
		if(shop!=null) 
			deleteRecord(shop);
	}
	
	public boolean contains(Integer id) {
		return containsRecord(id);
	}
}
