package com.itblogs.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;

import com.itblogs.model.Address;
import com.itblogs.dao.AddressDao;
import com.itblogs.service.AddressService;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

@Service("addressService")
@Transactional
@Scope(value="session", proxyMode=ScopedProxyMode.TARGET_CLASS)
public class AddressServiceImpl implements AddressService {

	@Autowired
    AddressDao dao;
	
	public Address find(Integer id) {
		return dao.find(id);
	}

	public List<Address> list(String orderBy, Boolean isAse) {		
		return dao.list(orderBy, isAse);
	}

	public long count() {
		return dao.count();
	}

	public void save(Address address) {
		if(address!=null) dao.save(address);
	}

	public void delete(Address address) {
		if(address!=null) dao.delete(address);
	}

	public void deleteByID(Integer id) {
		dao.deleteByID(id);
	}

	public boolean contains(Integer id) {
		return dao.contains(id);
	}
	
}
