package com.itblogs.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;

import com.itblogs.model.Customer;
import com.itblogs.dao.CustomerDao;
import com.itblogs.service.CustomerService;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

@Service("customerService")
@Transactional
@Scope(value="session", proxyMode=ScopedProxyMode.TARGET_CLASS)
public class CustomerServiceImpl implements CustomerService {

	@Autowired
	CustomerDao dao;
	
	public Customer find(Integer id) {
		return dao.find(id);
	}

	public Customer findByName(String lastname, String firstname) {
		if( (lastname==null) && (firstname==null) ) {
			return null;
		} else {
			return dao.findByName(lastname, firstname);	
		}		
	}
		
	public List<Customer> list(String orderBy, Boolean isAse) {		
		return dao.list(orderBy, isAse);
	}

	public long count() {
		return dao.count();
	}

	public void save(Customer customer) {
		if(customer!=null) dao.save(customer);
	}

	public void delete(Customer customer) {
		if(customer!=null) dao.delete(customer);
	}

	public void deleteByID(Integer id) {
		dao.deleteByID(id);
	}

	public boolean contains(Integer id) {
		return dao.contains(id);
	}
	
}
