package com.itblogs.service.impl;

import java.sql.Date;
import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.beans.factory.annotation.Autowired;

import com.itblogs.model.Customer;
import com.itblogs.model.Orders;
import com.itblogs.dao.OrdersDao;
import com.itblogs.service.OrdersService;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

@Service("ordersService")
@Transactional
public class OrdersServiceImpl implements OrdersService {

	@Autowired
	OrdersDao dao;
	
	public Orders find(Integer id) {
		return dao.find(id);
	}
		
	public List<Orders> list(String orderBy, Boolean isAse) {		
		return dao.list(orderBy, isAse);
	}

	public List<Orders> listByCustomer(Customer customer, String orderBy, Boolean isAse) {
		if(customer==null) {
			return null;
		} else {
			return dao.listByCustomer(customer, orderBy, isAse);	
		}
	}
	
	public List<Orders> listByDate(Date orderDate, Boolean status, String orderBy, Boolean isAse) {
		if( (orderDate==null) && (status==null) ) {
			return null;
		} else {
			return dao.listByDate(orderDate, status, orderBy, isAse);	
		}
	}
		
	public long count() {
		return dao.count();
	}

	public void save(Orders orders) {
		if(orders!=null) dao.save(orders);
	}

	public void delete(Orders orders) {
		if(orders!=null) dao.delete(orders);
	}

	public void deleteByID(Integer id) {
		dao.deleteByID(id);
	}

	public boolean contains(Integer id) {
		return dao.contains(id);
	}
	
}
