package com.itblogs.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;

import com.itblogs.model.Shop;
import com.itblogs.dao.ShopDao;
import com.itblogs.service.ShopService;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

@Service("shopService")
@Transactional
@Scope(value="session", proxyMode=ScopedProxyMode.TARGET_CLASS)
public class ShopServiceImpl implements ShopService {

	@Autowired
	ShopDao dao;
	
	public Shop find(Integer id) {
		return dao.find(id);
	}
	
	public Shop findByName(String name) {
		if(name==null) {
			return null;
		} else {
			return dao.findByName(name);	
		}
	}
	
	public List<Shop> list(String orderBy, Boolean isAse) {		
		return dao.list(orderBy, isAse);
	}

	public long count() {
		return dao.count();
	}

	public void save(Shop shop) {
		if(shop!=null) dao.save(shop);
	}

	public void delete(Shop shop) {
		if(shop!=null) dao.delete(shop);
	}

	public void deleteByID(Integer id) {
		dao.deleteByID(id);
	}

	public void deleteByName(String name) {
		if(name!=null) dao.deleteByName(name);	
	}
	
	public boolean contains(Integer id) {
		return dao.contains(id);
	}
	
}
