<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>Customer - <c:choose><c:when test="${isNew}"><spring:message code="form.create"/></c:when><c:otherwise><spring:message code="form.update"/></c:otherwise></c:choose></title>
	<link href="<c:url value='' />" rel="stylesheet"></link>
</head>
<body>

 	<div class="generic-container">
	<div class="well lead">Customer - <c:choose><c:when test="${isNew}"><spring:message code="form.create"/></c:when><c:otherwise><spring:message code="form.update"/></c:otherwise></c:choose></div>
	
	<div class="alert alert-success lead">${success}</div>
	<div class="alert alert-error lead">${error}</div>	
	
 	<form:form method="POST" modelAttribute="customer" class="form-horizontal">

		<c:choose>
			<c:when test="${!isNew}">				
				<div class="row">
					<div class="form-group col-md-12">
						<label class="col-md-3 control-lable" for="id"><spring:message code="form.label.id"/></label>
						<div class="col-md-7">
							<form:input type="text" path="id" id="id" class="form-control input-sm" disabled="true"/>
						</div>
					</div>
				</div>
			</c:when>
		</c:choose>
		
		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="firstname"><spring:message code="form.label.firstname"/></label>
				<div class="col-md-7">
					<form:input type="text" path="firstname" id="firstname" class="form-control input-sm"/>
					<div class="has-error">
						<form:errors path="firstname" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="lastname"><spring:message code="form.label.lastname"/></label>
				<div class="col-md-7">
					<form:input type="text" path="lastname" id="lastname" class="form-control input-sm"/>
					<div class="has-error">
						<form:errors path="lastname" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="telephone"><spring:message code="form.label.telephone"/></label>
				<div class="col-md-7">
					<form:input type="text" path="telephone" id="telephone" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="telephone" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="email"><spring:message code="form.label.email"/></label>
				<div class="col-md-7">
					<form:input type="text" path="email" id="email" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="email" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="age"><spring:message code="form.label.age"/></label>
				<div class="col-md-7">
					<form:input type="text" path="age" id="age" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="age" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="gender"><spring:message code="form.label.gender"/></label>
				<div class="col-md-7">
					<form:select path="gender" id="gender" class="form-control input-sm" >
    					<form:options items="${genders}" />
  					</form:select>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-actions floatRight">
				<c:choose>
					<c:when test="${isNew}">
						<input type="submit" value="Create" class="btn btn-primary btn-sm"/>						
					</c:when>
					<c:otherwise>
						<input type="submit" value="Update" class="btn btn-primary btn-sm"/>
					</c:otherwise>
				</c:choose>
				| <a href="<c:url value='/customer/list' />">Cancel</a>
				<c:choose><c:when test="${!isNew}">| <a href="<c:url value='/order/new/${id}' />">Add New Order</a></c:when></c:choose>
			</div>
		</div>
		
		<c:choose>
			<c:when test="${!isNew}">				
				<div class="panel panel-default">
				  	<div class="panel-heading"><span class="lead">List of Orders </span></div>
					<table class="table table-hover">
			    		<thead>
				      		<tr>
						        <th><spring:message code="form.label.id"/></th>
						        <th><spring:message code="form.label.orderDate"/></th>
						        <th><spring:message code="form.label.price"/></th>
						        <th><spring:message code="form.label.status"/></th>
						        <th><spring:message code="form.label.customer"/></th>
						        <th width="100"></th>
						        <th width="100"></th>
							</tr>
				    	</thead>
			    		<tbody>
						<c:forEach items="${orders}" var="order">
							<tr>
								<td>${order.id}</td>
								<td><fmt:formatDate pattern="yyyy-MM-dd HH:mm:ss" value="${order.orderDate}" /></td>
								<td><fmt:formatNumber type="number" pattern="#,###.##" value="${order.price}" /></td>
								<td>${order.status}</td>						
								<td>${order.customer.firstname} ${order.customer.lastname}</td>
								<td><a href="<c:url value='/order/update/${order.id}/${id}' />" class="btn btn-success custom-width">update</a></td>
								<td><a href="<c:url value='/order/delete/${order.id}/${id}' />" class="btn btn-danger custom-width">delete</a></td>
							</tr>
						</c:forEach>
			    		</tbody>
			    	</table>
				</div>				
			</c:when>
		</c:choose>
		
	</form:form>
	</div>
</body>
</html>