<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>Customer - <c:choose><c:when test="${isNew}"><spring:message code="form.create"/></c:when><c:otherwise><spring:message code="form.update"/></c:otherwise></c:choose></title>
	<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/angular_material/1.0.0/angular-material.min.css">
	<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://rawgit.com/esvit/ng-table/master/dist/ng-table.css">   
	<link rel="stylesheet" href="/SpringMVCExample/resources/css/app.css">
</head>
<body ng-app="AngularApp" ng-cloak>

	<div ng-controller="AppController" layout="column" style="height:100%;" ng-cloak>
		<%@include file="../_include/header.jsp" %>
	  	<section layout="row" flex>
			<%@include file="../_include/menu.jsp" %>
		
			<md-content flex layout-padding>
				<div layout="column" layout-align="top">
	
					<div class="well lead">Customer - <c:choose><c:when test="${isNew}"><spring:message code="form.create"/></c:when><c:otherwise><spring:message code="form.update"/></c:otherwise></c:choose></div>	
	
					<c:choose><c:when test="${success}"><div class="alert alert-success lead">${success}</div></c:when></c:choose>
					<c:choose><c:when test="${error}"><div class="alert alert-error lead">${error}</div></c:when></c:choose>

					<form:form method="POST" modelAttribute="customer" class="form-horizontal">
		<c:choose>
			<c:when test="${!isNew}">				
				<div class="form-group">
					<label class="col-md-3 control-lable" for="id"><spring:message code="form.label.id"/></label>
					<div class="col-md-7">
						<form:input type="text" path="id" id="id" class="form-control input-sm" disabled="true"/>
					</div>
				</div>
			</c:when>
		</c:choose>
		
		<div class="form-group">
				<label class="col-md-3 control-lable" for="firstname"><spring:message code="form.label.firstname"/></label>
				<div class="col-md-7">
					<form:input type="text" path="firstname" id="firstname" class="form-control input-sm"/>
					<div class="has-error">
						<form:errors path="firstname" class="help-inline"/>
					</div>
				</div>
		</div>

		<div class="form-group">
				<label class="col-md-3 control-lable" for="lastname"><spring:message code="form.label.lastname"/></label>
				<div class="col-md-7">
					<form:input type="text" path="lastname" id="lastname" class="form-control input-sm"/>
					<div class="has-error">
						<form:errors path="lastname" class="help-inline"/>
					</div>
				</div>
		</div>

		<div class="form-group">
				<label class="col-md-3 control-lable" for="telephone"><spring:message code="form.label.telephone"/></label>
				<div class="col-md-7">
					<form:input type="text" path="telephone" id="telephone" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="telephone" class="help-inline"/>
					</div>
				</div>
		</div>

		<div class="form-group">
				<label class="col-md-3 control-lable" for="email"><spring:message code="form.label.email"/></label>
				<div class="col-md-7">
					<form:input type="text" path="email" id="email" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="email" class="help-inline"/>
					</div>
				</div>
		</div>

		<div class="form-group">
				<label class="col-md-3 control-lable" for="age"><spring:message code="form.label.age"/></label>
				<div class="col-md-7">
					<form:input type="text" path="age" id="age" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="age" class="help-inline"/>
					</div>
				</div>
		</div>

		<div class="form-group">
				<label class="col-md-3 control-lable" for="gender"><spring:message code="form.label.gender"/></label>
				<div class="col-md-7">
					<form:select path="gender" id="gender" class="form-control input-sm" >
    					<form:options items="${genders}" />
  					</form:select>
				</div>
		</div>

		<div class="form-actions floatRight">
				<c:choose>
					<c:when test="${isNew}">
						<input type="submit" value="Create" class="btn btn-primary btn-sm"/>						
					</c:when>
					<c:otherwise>
						<input type="submit" value="Update" class="btn btn-primary btn-sm"/>
					</c:otherwise>
				</c:choose>
				| <a href="<c:url value='/customer/list' />">Cancel</a>
				<c:choose><c:when test="${!isNew}">| <a href="<c:url value='/order/new/${id}' />">Add New Order</a></c:when></c:choose>
		</div>
		
		
		
		<c:choose>
			<c:when test="${!isNew}">
				<div layout="column" layout-align="top">
					<div class="panel-heading"><span class="lead">List of Orders</span></div>

					<div ng-controller="TableController as vm" layout="column" ng-cloak>
						<table ng-table="vm.tableParams" class="table table-hover" show-filter="true">
							<tr ng-repeat="item in $data">
								<td title="'<spring:message code="form.label.id"/>'" filter="{ id: 'number'}" sortable="'id'">{{item.id}}</td>
								<td title="'<spring:message code="form.label.orderDate"/>'" filter="{ orderDate: 'text'}" sortable="'orderDate'">{{item.orderDate}}</td>
								<td title="'<spring:message code="form.label.price"/>'" filter="{ price: 'number'}" sortable="'price'">{{item.price}}</td>
								<td title="'<spring:message code="form.label.status"/>'" filter="{ status: 'select'}" filter-data="getStatus($column)" sortable="'status'">{{item.status}}</td>
								<td title="'<spring:message code="form.label.customer"/>'" filter="{ customer: 'text'}" sortable="'customer'">{{item.customer}}</td>
								<td title="''"><a href="<c:url value='/order/update/{{item.id}}' />" class="btn btn-success custom-width">update</a></td>
								<td title="''"><a href="<c:url value='/order/delete/{{item.id}}' />" class="btn btn-danger custom-width">delete</a></td>
							</tr>
						</table>
					</div>
				</div>				
			</c:when>
		</c:choose>
		
					</form:form>
					
			  	</div>
			</md-content>
	  
	  	</section>	  
	</div>

  <!-- Specified JS -->
  <script>
  	var data = [
		<c:forEach items="${orders}" var="order">
			{id: ${order.id}, orderDate: '<fmt:formatDate pattern="yyyy-MM-dd HH:mm:ss" value="${order.orderDate}" />', price: '<fmt:formatNumber type="number" pattern="#,###.##" value="${order.price}" />', customer: "${order.customer.firstname} ${order.customer.lastname}", status: "${order.status}"},
		</c:forEach>
	];  
  </script>

  <!-- Angular Material requires Angular.js Libraries -->
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-animate.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-aria.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-messages.min.js"></script>

  <!-- Angular Material Library -->
  <script src="http://ajax.googleapis.com/ajax/libs/angular_material/1.0.0/angular-material.min.js"></script>

  <!-- Angular ngTable Library -->
  <script src="https://rawgit.com/esvit/ng-table/master/dist/ng-table.js"></script>      
  
  <!-- Your application bootstrap  -->
  <script src="/SpringMVCExample/resources/js/app.js"></script>
  
</body>
</html>	