<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>Customers Listing</title>
	<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/angular_material/1.0.0/angular-material.min.css">
	<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://rawgit.com/esvit/ng-table/master/dist/ng-table.css">   
	<link rel="stylesheet" href="/SpringMVCExample/resources/css/app.css">
</head>
<body ng-app="AngularApp" ng-cloak>

	<div ng-controller="AppController" layout="column" style="height:100%;" ng-cloak>
		<%@include file="../_include/header.jsp" %>
	  	<section layout="row" flex>
			<%@include file="../_include/menu.jsp" %>
		
			<md-content flex layout-padding>
				<div layout="column" layout-align="top">
	
					<c:choose><c:when test="${msg}"><div class="alert alert-success lead">${msg}</div></c:when></c:choose>
					<div class="well">
				 		<a href="<c:url value='/shop/new' />">Add New Customer</a>
				 	</div>
	
					<div class="panel-heading"><span class="lead">List of Customers</span></div>

					<div ng-controller="TableController as vm" layout="column" ng-cloak>
						<table ng-table="vm.tableParams" class="table table-hover" show-filter="true">
							<tr ng-repeat="item in $data">
								<td title="'<spring:message code="form.label.id"/>'" filter="{ id: 'number'}" sortable="'id'">{{item.id}}</td>
								<td title="'<spring:message code="form.label.firstname"/>'" filter="{ firstname: 'text'}" sortable="'firstname'">{{item.firstname}}</td>
								<td title="'<spring:message code="form.label.lastname"/>'" filter="{ lastname: 'text'}" sortable="'lastname'">{{item.lastname}}</td>
								<td title="'<spring:message code="form.label.telephone"/>'" filter="{ telephone: 'text'}" sortable="'telephone'">{{item.telephone}}</td>
								<td title="'<spring:message code="form.label.email"/>'" filter="{ email: 'text'}" sortable="'email'">{{item.email}}</td>
								<td title="'<spring:message code="form.label.age"/>'" filter="{ age: 'number'}" sortable="'age'">{{item.age}}</td>
								<td title="'<spring:message code="form.label.gender"/>'" filter="{ gender: 'text'}" sortable="'gender'">{{item.gender}}</td>
								<td title="''"><a href="<c:url value='/customer/update/{{item.id}}' />" class="btn btn-success custom-width">update</a></td>
								<td title="''"><a href="<c:url value='/customer/delete/{{item.id}}' />" class="btn btn-danger custom-width">delete</a></td>
								<td title="''"><a href="<c:url value='/order/list/{{item.id}}' />" class="btn btn-primary custom-width">orders list</a></td>
								<td title="''"><a href="<c:url value='/order/new/{{item.id}}' />" class="btn btn-info custom-width">new order</a></td>
							</tr>
						</table>
					</div>	
   	
				</div>
			</md-content>
	  
	  	</section>	  
	</div>
   	
  <!-- Specified JS -->
  <script>
  	var data = [
		<c:forEach items="${customers}" var="customer">
			{id: ${customer.id}, firstname: "${customer.firstname}", lastname: "${customer.lastname}", telephone: "${customer.telephone}", email: "${customer.email}", age: "${customer.age}", gender: "${customer.gender}"},
		</c:forEach>
	];  
  </script>  	
   	
  <!-- Angular Material requires Angular.js Libraries -->
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-animate.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-aria.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-messages.min.js"></script>

  <!-- Angular Material Library -->
  <script src="http://ajax.googleapis.com/ajax/libs/angular_material/1.0.0/angular-material.min.js"></script>

  <!-- Angular ngTable Library -->
  <script src="https://rawgit.com/esvit/ng-table/master/dist/ng-table.js"></script>      
  
  <!-- Your application bootstrap  -->
  <script src="/SpringMVCExample/resources/js/app.js"></script>
  
</body>
</html>