<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>Customer - <c:choose><c:when test="${isNew}"><spring:message code="form.create"/></c:when><c:otherwise><spring:message code="form.update"/></c:otherwise></c:choose></title>
	<link href="<c:url value='' />" rel="stylesheet"></link>
</head>
<body>

 	<div class="generic-container">
	<div class="well lead">Order - <c:choose><c:when test="${isNew}"><spring:message code="form.create"/></c:when><c:otherwise><spring:message code="form.update"/></c:otherwise></c:choose></div>
	
	<div class="alert alert-success lead">${success}</div>
	<div class="alert alert-error lead">${error}</div>	
	
 	<form:form method="POST" modelAttribute="order" class="form-horizontal">
		
		<c:choose>
			<c:when test="${!isNew}">				
				<div class="row">
					<div class="form-group col-md-12">
						<label class="col-md-3 control-lable" for="id"><spring:message code="form.label.id"/></label>
						<div class="col-md-7">
							<form:input type="text" path="id" id="id" class="form-control input-sm" disabled="true"/>
						</div>
					</div>
				</div>
			</c:when>
		</c:choose>
		
		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="orderDate"><spring:message code="form.label.orderDate"/></label>
				<div class="col-md-7">
					<form:input type="text" path="orderDate" id="orderDate" class="form-control input-sm"/>
					<div class="has-error">
						<form:errors path="orderDate" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="price"><spring:message code="form.label.price"/></label>
				<div class="col-md-7">
					<form:input type="text" path="price" id="price" class="form-control input-sm"/>
					<div class="has-error">
						<form:errors path="price" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="status"><spring:message code="form.label.status"/></label>
				<div class="col-md-7">
					<form:checkbox path="status" id="status" class="form-control input-sm" ></form:checkbox>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="customer.id"><spring:message code="form.label.customer"/></label>
				<div class="col-md-7">
  					<form:select path="customer.id" id="customer.id" items="${customers}" multiple="false" itemValue="id" itemLabel="fullname" class="form-control input-sm" />
				</div>
				<div class="has-error">
					<form:errors path="customer" class="help-inline"/>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="products"><spring:message code="form.label.products"/></label>
				<div class="col-md-7">
  					<form:select path="products" id="products" items="${productsList}" multiple="true" itemValue="id" itemLabel="name" class="form-control input-sm" />
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-actions floatRight">
				<c:choose>
					<c:when test="${isNew}">
						<input type="submit" value="Create" class="btn btn-primary btn-sm"/>						
					</c:when>
					<c:otherwise>
						<input type="submit" value="Update" class="btn btn-primary btn-sm"/>
					</c:otherwise>
				</c:choose>
				<c:choose>
					<c:when test="${not empty customerId}">
						| <a href="<c:url value='/customer/update/${customerId}' />">Cancel</a>		
					</c:when>
					<c:otherwise>
						| <a href="<c:url value='/order/list' />">Cancel</a>
					</c:otherwise>
				</c:choose>
			</div>
		</div>
	</form:form>
	</div>
</body>
</html>