<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>Orders Listing</title>
	<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/angular_material/1.0.0/angular-material.min.css">
	<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://rawgit.com/esvit/ng-table/master/dist/ng-table.css">   
	<link rel="stylesheet" href="/SpringMVCExample/resources/css/app.css">
</head>
<body ng-app="AngularApp" ng-cloak>

	<div ng-controller="AppController" layout="column" style="height:100%;" ng-cloak>
		<%@include file="../_include/header.jsp" %>
	  	<section layout="row" flex>
			<%@include file="../_include/menu.jsp" %>
		
			<md-content flex layout-padding>
				<div layout="column" layout-align="top">
	
					<c:choose><c:when test="${msg}"><div class="alert alert-success lead">${msg}</div></c:when></c:choose>
					<div class="well">
				 		<a href="<c:url value='/order/new' />">Add New Order</a>
				 	</div>
	
					<div class="panel-heading"><span class="lead">List of Orders</span></div>

					<div ng-controller="TableController as vm" layout="column" ng-cloak>
						<table ng-table="vm.tableParams" class="table table-hover" show-filter="true">
							<tr ng-repeat="item in $data">
								<td title="'<spring:message code="form.label.id"/>'" filter="{ id: 'number'}" sortable="'id'">{{item.id}}</td>
								<td title="'<spring:message code="form.label.orderDate"/>'" filter="{ orderDate: 'text'}" sortable="'orderDate'">{{item.orderDate}}</td>
								<td title="'<spring:message code="form.label.price"/>'" filter="{ price: 'number'}" sortable="'price'">{{item.price}}</td>
								<td title="'<spring:message code="form.label.status"/>'" filter="{ status: 'select'}" filter-data="getStatus($column)" sortable="'status'">{{item.status}}</td>
								<td title="'<spring:message code="form.label.customer"/>'" filter="{ customer: 'text'}" sortable="'customer'">{{item.customer}}</td>
								<td title="''"><a href="<c:url value='/order/update/{{item.id}}' />" class="btn btn-success custom-width">update</a></td>
								<td title="''"><a href="<c:url value='/order/delete/{{item.id}}' />" class="btn btn-danger custom-width">delete</a></td>
							</tr>
						</table>
					</div>

			  	</div>
			</md-content>
	  
	  	</section>	  
	</div>

  <!-- Specified JS -->
  <script>
  	var data = [
		<c:forEach items="${orders}" var="order">
			{id: ${order.id}, orderDate: '<fmt:formatDate pattern="yyyy-MM-dd HH:mm:ss" value="${order.orderDate}" />', price: '<fmt:formatNumber type="number" pattern="#,###.##" value="${order.price}" />', customer: "${order.customer.firstname} ${order.customer.lastname}", status: "${order.status}"},
		</c:forEach>
	];  
  </script>
   	
  <!-- Angular Material requires Angular.js Libraries -->
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-animate.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-aria.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-messages.min.js"></script>

  <!-- Angular Material Library -->
  <script src="http://ajax.googleapis.com/ajax/libs/angular_material/1.0.0/angular-material.min.js"></script>

  <!-- Angular ngTable Library -->
  <script src="https://rawgit.com/esvit/ng-table/master/dist/ng-table.js"></script>      
  
  <!-- Your application bootstrap  -->
  <script src="/SpringMVCExample/resources/js/app.js"></script>
  
</body>
</html>