<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>Shop - <c:choose><c:when test="${isNew}"><spring:message code="form.create"/></c:when><c:otherwise><spring:message code="form.update"/></c:otherwise></c:choose></title>
	<link href="<c:url value='' />" rel="stylesheet"></link>
</head>
<body>

 	<div class="generic-container">
	<div class="well lead">Shop - <c:choose><c:when test="${isNew}"><spring:message code="form.create"/></c:when><c:otherwise><spring:message code="form.update"/></c:otherwise></c:choose></div>
	
	<div class="alert alert-success lead">${success}</div>
	<div class="alert alert-error lead">${error}</div>	
	
 	<form:form method="POST" modelAttribute="shop" class="form-horizontal">

		<c:choose>
			<c:when test="${!isNew}">				
				<div class="row">
					<div class="form-group col-md-12">
						<label class="col-md-3 control-lable" for="id"><spring:message code="form.label.id"/></label>
						<div class="col-md-7">
							<form:input type="text" path="id" id="id" class="form-control input-sm" disabled="true"/>
						</div>
					</div>
				</div>
				<form:input type="hidden" path="address.id" id="address.id"/>
			</c:when>
		</c:choose>
		
		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="name"><spring:message code="form.label.name"/></label>
				<div class="col-md-7">
					<form:input type="text" path="name" id="name" class="form-control input-sm"/>
					<div class="has-error">
						<form:errors path="name" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="telephone"><spring:message code="form.label.telephone"/></label>
				<div class="col-md-7">
					<form:input type="text" path="telephone" id="telephone" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="telephone" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="fax"><spring:message code="form.label.fax"/></label>
				<div class="col-md-7">
					<form:input type="text" path="fax" id="fax" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="fax" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="email"><spring:message code="form.label.email"/></label>
				<div class="col-md-7">
					<form:input type="text" path="email" id="email" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="email" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="address.country"><spring:message code="form.label.address.country"/></label>
				<div class="col-md-7">
					<form:input type="text" path="address.country" id="address.country" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="address.country" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="address.city"><spring:message code="form.label.address.city"/></label>
				<div class="col-md-7">
					<form:input type="text" path="address.city" id="address.city" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="address.city" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>
		
		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="address.street"><spring:message code="form.label.address.street"/></label>
				<div class="col-md-7">
					<form:input type="text" path="address.street" id="address.street" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="address.street" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>
		
		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="address.building"><spring:message code="form.label.address.building"/></label>
				<div class="col-md-7">
					<form:input type="text" path="address.building" id="address.building" class="form-control input-sm" />
					<div class="has-error">
						<form:errors path="address.building" class="help-inline"/>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-12">
				<label class="col-md-3 control-lable" for="status"><spring:message code="form.label.status"/></label>
				<div class="col-md-7">
					<form:checkbox path="status" id="status" class="form-control input-sm" ></form:checkbox>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="form-actions floatRight">
				<c:choose>
					<c:when test="${isNew}">
						<input type="submit" value="Create" class="btn btn-primary btn-sm"/>						
					</c:when>
					<c:otherwise>
						<input type="submit" value="Update" class="btn btn-primary btn-sm"/>
					</c:otherwise>
				</c:choose>
				| <a href="<c:url value='/shop/list' />">Cancel</a>
			</div>
		</div>
	</form:form>
	</div>
</body>
</html>