angular
  .module('AngularApp', ['ngMaterial', 'ngTable', 'ngMessages'])
  
  .controller('AppController', function ($scope, $log) {
	  $log.debug("App start...");
  })
  
  .controller('HeaderController', function ($scope, $timeout, $mdSidenav, $log) {
    $scope.toggleLeft = buildDelayedToggler('leftMenu');
    /**
     * Supplies a function that will continue to operate until the
     * time is up.
     */
	$scope.triggerMenu = function () {	
	  $mdSidenav('leftMenu').toggle()
        .then(function () {
          $log.debug("toggle Menu is done");
        });
    }; 
	 
    function debounce(func, wait, context) {
      var timer;
      return function debounced() {
        var context = $scope,
            args = Array.prototype.slice.call(arguments);
        $timeout.cancel(timer);
        timer = $timeout(function() {
          timer = undefined;
          func.apply(context, args);
        }, wait || 10);
      };
    }
    /**
     * Build handler to open/close a SideNav; when animation finishes
     * report completion in console
     */
    function buildDelayedToggler(navID) {
      return debounce(function() {
        $mdSidenav(navID)
          .toggle()
          .then(function () {
            $log.debug("toggle " + navID + " is done");
          });
      }, 200);
    }
    function buildToggler(navID) {
      return function() {
        $mdSidenav(navID)
          .toggle()
          .then(function () {
            $log.debug("toggle " + navID + " is done");
          });
      }
    }
  })
  
  .controller('MenuController', function ($scope, $mdSidenav, $window, $log) {
    $scope.close = function () {
      $mdSidenav('leftMenu').close()
        .then(function () {
          $log.debug("close leftMenu is done");
        });
    };	
	$scope.goURL = function ( url ) {
		$window.location.href = url;
	};
  })
  
  .controller('TableController', function($scope, NgTableParams){
		var self = this;
        self.tableParams = new NgTableParams({ count: 5}, { counts: [5, 10, 25], dataset: data});
        
        $scope.getStatus = function(data) {
        	return [{id:"TRUE", title:"TRUE"}, {id:"FALSE", title:"FALSE"}];
        };
  })
  
  .controller('FormController', function($scope){
	  $scope.record = {
	  };
  });  
  